Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network77.78.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
77.78.0.0
Broadcast address
77.78.127.255
First usable
77.78.0.1
Last usable
77.78.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 4D4E0000 · Integer 1296957440 to 1296990207
Reverse DNS zones
0.78.77.in-addr.arpa
1.78.77.in-addr.arpa
2.78.77.in-addr.arpa
3.78.77.in-addr.arpa
4.78.77.in-addr.arpa
5.78.77.in-addr.arpa
6.78.77.in-addr.arpa
7.78.77.in-addr.arpa
8.78.77.in-addr.arpa
9.78.77.in-addr.arpa
10.78.77.in-addr.arpa
11.78.77.in-addr.arpa
12.78.77.in-addr.arpa
13.78.77.in-addr.arpa
14.78.77.in-addr.arpa
15.78.77.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001101.01001110.00000000.0000000077.78.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network01001101.01001110.00000000.0000000077.78.0.0
Broadcast01001101.01001110.01111111.1111111177.78.127.255
Split into smaller subnets/29

77.78.0.0/17 makes 4,096 subnets of /29; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
177.78.0.0/2977.78.0.1 to 77.78.0.677.78.0.76
277.78.0.8/2977.78.0.9 to 77.78.0.1477.78.0.156
377.78.0.16/2977.78.0.17 to 77.78.0.2277.78.0.236
477.78.0.24/2977.78.0.25 to 77.78.0.3077.78.0.316
577.78.0.32/2977.78.0.33 to 77.78.0.3877.78.0.396
677.78.0.40/2977.78.0.41 to 77.78.0.4677.78.0.476
777.78.0.48/2977.78.0.49 to 77.78.0.5477.78.0.556
877.78.0.56/2977.78.0.57 to 77.78.0.6277.78.0.636
977.78.0.64/2977.78.0.65 to 77.78.0.7077.78.0.716
1077.78.0.72/2977.78.0.73 to 77.78.0.7877.78.0.796
1177.78.0.80/2977.78.0.81 to 77.78.0.8677.78.0.876
1277.78.0.88/2977.78.0.89 to 77.78.0.9477.78.0.956
1377.78.0.96/2977.78.0.97 to 77.78.0.10277.78.0.1036
1477.78.0.104/2977.78.0.105 to 77.78.0.11077.78.0.1116
1577.78.0.112/2977.78.0.113 to 77.78.0.11877.78.0.1196
1677.78.0.120/2977.78.0.121 to 77.78.0.12677.78.0.1276
1777.78.0.128/2977.78.0.129 to 77.78.0.13477.78.0.1356
1877.78.0.136/2977.78.0.137 to 77.78.0.14277.78.0.1436
1977.78.0.144/2977.78.0.145 to 77.78.0.15077.78.0.1516
2077.78.0.152/2977.78.0.153 to 77.78.0.15877.78.0.1596
2177.78.0.160/2977.78.0.161 to 77.78.0.16677.78.0.1676
2277.78.0.168/2977.78.0.169 to 77.78.0.17477.78.0.1756
2377.78.0.176/2977.78.0.177 to 77.78.0.18277.78.0.1836
2477.78.0.184/2977.78.0.185 to 77.78.0.19077.78.0.1916
2577.78.0.192/2977.78.0.193 to 77.78.0.19877.78.0.1996
2677.78.0.200/2977.78.0.201 to 77.78.0.20677.78.0.2076
2777.78.0.208/2977.78.0.209 to 77.78.0.21477.78.0.2156
2877.78.0.216/2977.78.0.217 to 77.78.0.22277.78.0.2236
2977.78.0.224/2977.78.0.225 to 77.78.0.23077.78.0.2316
3077.78.0.232/2977.78.0.233 to 77.78.0.23877.78.0.2396
3177.78.0.240/2977.78.0.241 to 77.78.0.24677.78.0.2476
3277.78.0.248/2977.78.0.249 to 77.78.0.25477.78.0.2556
3377.78.1.0/2977.78.1.1 to 77.78.1.677.78.1.76
3477.78.1.8/2977.78.1.9 to 77.78.1.1477.78.1.156
3577.78.1.16/2977.78.1.17 to 77.78.1.2277.78.1.236
3677.78.1.24/2977.78.1.25 to 77.78.1.3077.78.1.316
3777.78.1.32/2977.78.1.33 to 77.78.1.3877.78.1.396
3877.78.1.40/2977.78.1.41 to 77.78.1.4677.78.1.476
3977.78.1.48/2977.78.1.49 to 77.78.1.5477.78.1.556
4077.78.1.56/2977.78.1.57 to 77.78.1.6277.78.1.636
4177.78.1.64/2977.78.1.65 to 77.78.1.7077.78.1.716
4277.78.1.72/2977.78.1.73 to 77.78.1.7877.78.1.796
4377.78.1.80/2977.78.1.81 to 77.78.1.8677.78.1.876
4477.78.1.88/2977.78.1.89 to 77.78.1.9477.78.1.956
4577.78.1.96/2977.78.1.97 to 77.78.1.10277.78.1.1036
4677.78.1.104/2977.78.1.105 to 77.78.1.11077.78.1.1116
4777.78.1.112/2977.78.1.113 to 77.78.1.11877.78.1.1196
4877.78.1.120/2977.78.1.121 to 77.78.1.12677.78.1.1276
4977.78.1.128/2977.78.1.129 to 77.78.1.13477.78.1.1356
5077.78.1.136/2977.78.1.137 to 77.78.1.14277.78.1.1436
5177.78.1.144/2977.78.1.145 to 77.78.1.15077.78.1.1516
5277.78.1.152/2977.78.1.153 to 77.78.1.15877.78.1.1596
5377.78.1.160/2977.78.1.161 to 77.78.1.16677.78.1.1676
5477.78.1.168/2977.78.1.169 to 77.78.1.17477.78.1.1756
5577.78.1.176/2977.78.1.177 to 77.78.1.18277.78.1.1836
5677.78.1.184/2977.78.1.185 to 77.78.1.19077.78.1.1916
5777.78.1.192/2977.78.1.193 to 77.78.1.19877.78.1.1996
5877.78.1.200/2977.78.1.201 to 77.78.1.20677.78.1.2076
5977.78.1.208/2977.78.1.209 to 77.78.1.21477.78.1.2156
6077.78.1.216/2977.78.1.217 to 77.78.1.22277.78.1.2236
6177.78.1.224/2977.78.1.225 to 77.78.1.23077.78.1.2316
6277.78.1.232/2977.78.1.233 to 77.78.1.23877.78.1.2396
6377.78.1.240/2977.78.1.241 to 77.78.1.24677.78.1.2476
6477.78.1.248/2977.78.1.249 to 77.78.1.25477.78.1.2556
6577.78.2.0/2977.78.2.1 to 77.78.2.677.78.2.76
6677.78.2.8/2977.78.2.9 to 77.78.2.1477.78.2.156
6777.78.2.16/2977.78.2.17 to 77.78.2.2277.78.2.236
6877.78.2.24/2977.78.2.25 to 77.78.2.3077.78.2.316
6977.78.2.32/2977.78.2.33 to 77.78.2.3877.78.2.396
7077.78.2.40/2977.78.2.41 to 77.78.2.4677.78.2.476
7177.78.2.48/2977.78.2.49 to 77.78.2.5477.78.2.556
7277.78.2.56/2977.78.2.57 to 77.78.2.6277.78.2.636
7377.78.2.64/2977.78.2.65 to 77.78.2.7077.78.2.716
7477.78.2.72/2977.78.2.73 to 77.78.2.7877.78.2.796
7577.78.2.80/2977.78.2.81 to 77.78.2.8677.78.2.876
7677.78.2.88/2977.78.2.89 to 77.78.2.9477.78.2.956
7777.78.2.96/2977.78.2.97 to 77.78.2.10277.78.2.1036
7877.78.2.104/2977.78.2.105 to 77.78.2.11077.78.2.1116
7977.78.2.112/2977.78.2.113 to 77.78.2.11877.78.2.1196
8077.78.2.120/2977.78.2.121 to 77.78.2.12677.78.2.1276
8177.78.2.128/2977.78.2.129 to 77.78.2.13477.78.2.1356
8277.78.2.136/2977.78.2.137 to 77.78.2.14277.78.2.1436
8377.78.2.144/2977.78.2.145 to 77.78.2.15077.78.2.1516
8477.78.2.152/2977.78.2.153 to 77.78.2.15877.78.2.1596
8577.78.2.160/2977.78.2.161 to 77.78.2.16677.78.2.1676
8677.78.2.168/2977.78.2.169 to 77.78.2.17477.78.2.1756
8777.78.2.176/2977.78.2.177 to 77.78.2.18277.78.2.1836
8877.78.2.184/2977.78.2.185 to 77.78.2.19077.78.2.1916
8977.78.2.192/2977.78.2.193 to 77.78.2.19877.78.2.1996
9077.78.2.200/2977.78.2.201 to 77.78.2.20677.78.2.2076
9177.78.2.208/2977.78.2.209 to 77.78.2.21477.78.2.2156
9277.78.2.216/2977.78.2.217 to 77.78.2.22277.78.2.2236
9377.78.2.224/2977.78.2.225 to 77.78.2.23077.78.2.2316
9477.78.2.232/2977.78.2.233 to 77.78.2.23877.78.2.2396
9577.78.2.240/2977.78.2.241 to 77.78.2.24677.78.2.2476
9677.78.2.248/2977.78.2.249 to 77.78.2.25477.78.2.2556
9777.78.3.0/2977.78.3.1 to 77.78.3.677.78.3.76
9877.78.3.8/2977.78.3.9 to 77.78.3.1477.78.3.156
9977.78.3.16/2977.78.3.17 to 77.78.3.2277.78.3.236
10077.78.3.24/2977.78.3.25 to 77.78.3.3077.78.3.316
10177.78.3.32/2977.78.3.33 to 77.78.3.3877.78.3.396
10277.78.3.40/2977.78.3.41 to 77.78.3.4677.78.3.476
10377.78.3.48/2977.78.3.49 to 77.78.3.5477.78.3.556
10477.78.3.56/2977.78.3.57 to 77.78.3.6277.78.3.636
10577.78.3.64/2977.78.3.65 to 77.78.3.7077.78.3.716
10677.78.3.72/2977.78.3.73 to 77.78.3.7877.78.3.796
10777.78.3.80/2977.78.3.81 to 77.78.3.8677.78.3.876
10877.78.3.88/2977.78.3.89 to 77.78.3.9477.78.3.956
10977.78.3.96/2977.78.3.97 to 77.78.3.10277.78.3.1036
11077.78.3.104/2977.78.3.105 to 77.78.3.11077.78.3.1116
11177.78.3.112/2977.78.3.113 to 77.78.3.11877.78.3.1196
11277.78.3.120/2977.78.3.121 to 77.78.3.12677.78.3.1276
11377.78.3.128/2977.78.3.129 to 77.78.3.13477.78.3.1356
11477.78.3.136/2977.78.3.137 to 77.78.3.14277.78.3.1436
11577.78.3.144/2977.78.3.145 to 77.78.3.15077.78.3.1516
11677.78.3.152/2977.78.3.153 to 77.78.3.15877.78.3.1596
11777.78.3.160/2977.78.3.161 to 77.78.3.16677.78.3.1676
11877.78.3.168/2977.78.3.169 to 77.78.3.17477.78.3.1756
11977.78.3.176/2977.78.3.177 to 77.78.3.18277.78.3.1836
12077.78.3.184/2977.78.3.185 to 77.78.3.19077.78.3.1916
12177.78.3.192/2977.78.3.193 to 77.78.3.19877.78.3.1996
12277.78.3.200/2977.78.3.201 to 77.78.3.20677.78.3.2076
12377.78.3.208/2977.78.3.209 to 77.78.3.21477.78.3.2156
12477.78.3.216/2977.78.3.217 to 77.78.3.22277.78.3.2236
12577.78.3.224/2977.78.3.225 to 77.78.3.23077.78.3.2316
12677.78.3.232/2977.78.3.233 to 77.78.3.23877.78.3.2396
12777.78.3.240/2977.78.3.241 to 77.78.3.24677.78.3.2476
12877.78.3.248/2977.78.3.249 to 77.78.3.25477.78.3.2556
12977.78.4.0/2977.78.4.1 to 77.78.4.677.78.4.76
13077.78.4.8/2977.78.4.9 to 77.78.4.1477.78.4.156
13177.78.4.16/2977.78.4.17 to 77.78.4.2277.78.4.236
13277.78.4.24/2977.78.4.25 to 77.78.4.3077.78.4.316
13377.78.4.32/2977.78.4.33 to 77.78.4.3877.78.4.396
13477.78.4.40/2977.78.4.41 to 77.78.4.4677.78.4.476
13577.78.4.48/2977.78.4.49 to 77.78.4.5477.78.4.556
13677.78.4.56/2977.78.4.57 to 77.78.4.6277.78.4.636
13777.78.4.64/2977.78.4.65 to 77.78.4.7077.78.4.716
13877.78.4.72/2977.78.4.73 to 77.78.4.7877.78.4.796
13977.78.4.80/2977.78.4.81 to 77.78.4.8677.78.4.876
14077.78.4.88/2977.78.4.89 to 77.78.4.9477.78.4.956
14177.78.4.96/2977.78.4.97 to 77.78.4.10277.78.4.1036
14277.78.4.104/2977.78.4.105 to 77.78.4.11077.78.4.1116
14377.78.4.112/2977.78.4.113 to 77.78.4.11877.78.4.1196
14477.78.4.120/2977.78.4.121 to 77.78.4.12677.78.4.1276
14577.78.4.128/2977.78.4.129 to 77.78.4.13477.78.4.1356
14677.78.4.136/2977.78.4.137 to 77.78.4.14277.78.4.1436
14777.78.4.144/2977.78.4.145 to 77.78.4.15077.78.4.1516
14877.78.4.152/2977.78.4.153 to 77.78.4.15877.78.4.1596
14977.78.4.160/2977.78.4.161 to 77.78.4.16677.78.4.1676
15077.78.4.168/2977.78.4.169 to 77.78.4.17477.78.4.1756
15177.78.4.176/2977.78.4.177 to 77.78.4.18277.78.4.1836
15277.78.4.184/2977.78.4.185 to 77.78.4.19077.78.4.1916
15377.78.4.192/2977.78.4.193 to 77.78.4.19877.78.4.1996
15477.78.4.200/2977.78.4.201 to 77.78.4.20677.78.4.2076
15577.78.4.208/2977.78.4.209 to 77.78.4.21477.78.4.2156
15677.78.4.216/2977.78.4.217 to 77.78.4.22277.78.4.2236
15777.78.4.224/2977.78.4.225 to 77.78.4.23077.78.4.2316
15877.78.4.232/2977.78.4.233 to 77.78.4.23877.78.4.2396
15977.78.4.240/2977.78.4.241 to 77.78.4.24677.78.4.2476
16077.78.4.248/2977.78.4.249 to 77.78.4.25477.78.4.2556
16177.78.5.0/2977.78.5.1 to 77.78.5.677.78.5.76
16277.78.5.8/2977.78.5.9 to 77.78.5.1477.78.5.156
16377.78.5.16/2977.78.5.17 to 77.78.5.2277.78.5.236
16477.78.5.24/2977.78.5.25 to 77.78.5.3077.78.5.316
16577.78.5.32/2977.78.5.33 to 77.78.5.3877.78.5.396
16677.78.5.40/2977.78.5.41 to 77.78.5.4677.78.5.476
16777.78.5.48/2977.78.5.49 to 77.78.5.5477.78.5.556
16877.78.5.56/2977.78.5.57 to 77.78.5.6277.78.5.636
16977.78.5.64/2977.78.5.65 to 77.78.5.7077.78.5.716
17077.78.5.72/2977.78.5.73 to 77.78.5.7877.78.5.796
17177.78.5.80/2977.78.5.81 to 77.78.5.8677.78.5.876
17277.78.5.88/2977.78.5.89 to 77.78.5.9477.78.5.956
17377.78.5.96/2977.78.5.97 to 77.78.5.10277.78.5.1036
17477.78.5.104/2977.78.5.105 to 77.78.5.11077.78.5.1116
17577.78.5.112/2977.78.5.113 to 77.78.5.11877.78.5.1196
17677.78.5.120/2977.78.5.121 to 77.78.5.12677.78.5.1276
17777.78.5.128/2977.78.5.129 to 77.78.5.13477.78.5.1356
17877.78.5.136/2977.78.5.137 to 77.78.5.14277.78.5.1436
17977.78.5.144/2977.78.5.145 to 77.78.5.15077.78.5.1516
18077.78.5.152/2977.78.5.153 to 77.78.5.15877.78.5.1596
18177.78.5.160/2977.78.5.161 to 77.78.5.16677.78.5.1676
18277.78.5.168/2977.78.5.169 to 77.78.5.17477.78.5.1756
18377.78.5.176/2977.78.5.177 to 77.78.5.18277.78.5.1836
18477.78.5.184/2977.78.5.185 to 77.78.5.19077.78.5.1916
18577.78.5.192/2977.78.5.193 to 77.78.5.19877.78.5.1996
18677.78.5.200/2977.78.5.201 to 77.78.5.20677.78.5.2076
18777.78.5.208/2977.78.5.209 to 77.78.5.21477.78.5.2156
18877.78.5.216/2977.78.5.217 to 77.78.5.22277.78.5.2236
18977.78.5.224/2977.78.5.225 to 77.78.5.23077.78.5.2316
19077.78.5.232/2977.78.5.233 to 77.78.5.23877.78.5.2396
19177.78.5.240/2977.78.5.241 to 77.78.5.24677.78.5.2476
19277.78.5.248/2977.78.5.249 to 77.78.5.25477.78.5.2556
19377.78.6.0/2977.78.6.1 to 77.78.6.677.78.6.76
19477.78.6.8/2977.78.6.9 to 77.78.6.1477.78.6.156
19577.78.6.16/2977.78.6.17 to 77.78.6.2277.78.6.236
19677.78.6.24/2977.78.6.25 to 77.78.6.3077.78.6.316
19777.78.6.32/2977.78.6.33 to 77.78.6.3877.78.6.396
19877.78.6.40/2977.78.6.41 to 77.78.6.4677.78.6.476
19977.78.6.48/2977.78.6.49 to 77.78.6.5477.78.6.556
20077.78.6.56/2977.78.6.57 to 77.78.6.6277.78.6.636
20177.78.6.64/2977.78.6.65 to 77.78.6.7077.78.6.716
20277.78.6.72/2977.78.6.73 to 77.78.6.7877.78.6.796
20377.78.6.80/2977.78.6.81 to 77.78.6.8677.78.6.876
20477.78.6.88/2977.78.6.89 to 77.78.6.9477.78.6.956
20577.78.6.96/2977.78.6.97 to 77.78.6.10277.78.6.1036
20677.78.6.104/2977.78.6.105 to 77.78.6.11077.78.6.1116
20777.78.6.112/2977.78.6.113 to 77.78.6.11877.78.6.1196
20877.78.6.120/2977.78.6.121 to 77.78.6.12677.78.6.1276
20977.78.6.128/2977.78.6.129 to 77.78.6.13477.78.6.1356
21077.78.6.136/2977.78.6.137 to 77.78.6.14277.78.6.1436
21177.78.6.144/2977.78.6.145 to 77.78.6.15077.78.6.1516
21277.78.6.152/2977.78.6.153 to 77.78.6.15877.78.6.1596
21377.78.6.160/2977.78.6.161 to 77.78.6.16677.78.6.1676
21477.78.6.168/2977.78.6.169 to 77.78.6.17477.78.6.1756
21577.78.6.176/2977.78.6.177 to 77.78.6.18277.78.6.1836
21677.78.6.184/2977.78.6.185 to 77.78.6.19077.78.6.1916
21777.78.6.192/2977.78.6.193 to 77.78.6.19877.78.6.1996
21877.78.6.200/2977.78.6.201 to 77.78.6.20677.78.6.2076
21977.78.6.208/2977.78.6.209 to 77.78.6.21477.78.6.2156
22077.78.6.216/2977.78.6.217 to 77.78.6.22277.78.6.2236
22177.78.6.224/2977.78.6.225 to 77.78.6.23077.78.6.2316
22277.78.6.232/2977.78.6.233 to 77.78.6.23877.78.6.2396
22377.78.6.240/2977.78.6.241 to 77.78.6.24677.78.6.2476
22477.78.6.248/2977.78.6.249 to 77.78.6.25477.78.6.2556
22577.78.7.0/2977.78.7.1 to 77.78.7.677.78.7.76
22677.78.7.8/2977.78.7.9 to 77.78.7.1477.78.7.156
22777.78.7.16/2977.78.7.17 to 77.78.7.2277.78.7.236
22877.78.7.24/2977.78.7.25 to 77.78.7.3077.78.7.316
22977.78.7.32/2977.78.7.33 to 77.78.7.3877.78.7.396
23077.78.7.40/2977.78.7.41 to 77.78.7.4677.78.7.476
23177.78.7.48/2977.78.7.49 to 77.78.7.5477.78.7.556
23277.78.7.56/2977.78.7.57 to 77.78.7.6277.78.7.636
23377.78.7.64/2977.78.7.65 to 77.78.7.7077.78.7.716
23477.78.7.72/2977.78.7.73 to 77.78.7.7877.78.7.796
23577.78.7.80/2977.78.7.81 to 77.78.7.8677.78.7.876
23677.78.7.88/2977.78.7.89 to 77.78.7.9477.78.7.956
23777.78.7.96/2977.78.7.97 to 77.78.7.10277.78.7.1036
23877.78.7.104/2977.78.7.105 to 77.78.7.11077.78.7.1116
23977.78.7.112/2977.78.7.113 to 77.78.7.11877.78.7.1196
24077.78.7.120/2977.78.7.121 to 77.78.7.12677.78.7.1276
24177.78.7.128/2977.78.7.129 to 77.78.7.13477.78.7.1356
24277.78.7.136/2977.78.7.137 to 77.78.7.14277.78.7.1436
24377.78.7.144/2977.78.7.145 to 77.78.7.15077.78.7.1516
24477.78.7.152/2977.78.7.153 to 77.78.7.15877.78.7.1596
24577.78.7.160/2977.78.7.161 to 77.78.7.16677.78.7.1676
24677.78.7.168/2977.78.7.169 to 77.78.7.17477.78.7.1756
24777.78.7.176/2977.78.7.177 to 77.78.7.18277.78.7.1836
24877.78.7.184/2977.78.7.185 to 77.78.7.19077.78.7.1916
24977.78.7.192/2977.78.7.193 to 77.78.7.19877.78.7.1996
25077.78.7.200/2977.78.7.201 to 77.78.7.20677.78.7.2076
25177.78.7.208/2977.78.7.209 to 77.78.7.21477.78.7.2156
25277.78.7.216/2977.78.7.217 to 77.78.7.22277.78.7.2236
25377.78.7.224/2977.78.7.225 to 77.78.7.23077.78.7.2316
25477.78.7.232/2977.78.7.233 to 77.78.7.23877.78.7.2396
25577.78.7.240/2977.78.7.241 to 77.78.7.24677.78.7.2476
25677.78.7.248/2977.78.7.249 to 77.78.7.25477.78.7.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses